
import React from 'react';
import Icon from 'react-icon-base';

const SlEnvolope = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1023.46 728c0.992188 6.14355 0.176758 12.4795 -2.47949 18.2715c-8.06445 35.4404 -33.6807 53.7285 -76.9766 53.7285h-832c-38.0801 0 -79.1045 -14 -99.2803 -41.4717c-1.74414 -1.32812 -3.4082 -2.83203 -4.91211 -4.57617 c-6.44824 -7.44043 -8.7041 -17.0088 -7.26367 -26.0332c-0.288086 -2.5918 -0.543945 -5.2002 -0.543945 -7.91992v-512c0 -53.0244 58.9922 -112 112 -112h832c53.0244 0 80 58.9756 80 112v512c0 2.83203 -0.368164 5.3125 -0.543885 8.00099zM112.001 736 l832.001 0.000976562h0.431641l-432.432 -344.656l-430.688 343.248c9.79199 1.80762 21.8398 1.40723 30.6875 1.40723zM944.002 160.001h-831.999c-17.6484 0 -48 30.3359 -48 48v458.448l427.04 -341.648c6.01562 -5.2002 13.4873 -7.79199 20.959 -7.79199 c7.4717 0 14.9434 2.5918 20.9756 7.79199l427.024 341.632v-458.432c0 -17.6641 1.66406 -48 -15.9996 -48z"/></g>
    </Icon>
);

export default SlEnvolope;
